Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message
Class UpnpResponse

    java.lang.Object
      org.teleal.cling.model.message.UpnpOperation
          org.teleal.cling.model.message.UpnpResponse

    public class UpnpResponse

extends UpnpOperation

A response message, with a status code and message (OK, NOT FOUND, etc).

Author:
  Christian Bauer

Nested Class Summary
`static class` | `UpnpResponse.Status`

Constructor Summary
`UpnpResponse(int statusCode, String statusMessage)`
`UpnpResponse(UpnpResponse.Status status)`

Method Summary
`String` | `getResponseDetails()`
`int` | `getStatusCode()`
`String` | `getStatusMessage()`
`boolean` | `isFailed()`
`String` | `toString()`

Methods inherited from class org.teleal.cling.model.message.UpnpOperation
`getHttpMinorVersion, setHttpMinorVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpnpResponse

    public UpnpResponse(int statusCode,
                        String statusMessage)

### UpnpResponse

    public UpnpResponse(UpnpResponse.Status status)

Method Detail

### getStatusCode

    public int getStatusCode()

### getStatusMessage

    public String getStatusMessage()

### isFailed

    public boolean isFailed()

  Returns:
    `true` if the status code was equal or creater 300.

### getResponseDetails

    public String getResponseDetails()

  Returns:
    The concatenated string of status code and status message (same as `toString()`.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.